Skip to main content
Resource Center/Network Service/Network Service Operations/Load Balancing Operations

RemoveVmNicFromLoadBalancer

RemoveVmNicFromLoadBalancer

DELETE/zstack/v1/load-balancers/listeners/9fda51c382d841e0a47a4195f8dac67b/vm-instances/nics?vmNicUuids=9952aa24a745355b866782dd9b1c53e8

Operation ID

RemoveVmNicFromLoadBalancer

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • listenerUuid
    StringRequired

    The UUID of the load balancer listener.

Query Parameters

  • vmNicUuids
    String

    Query parameter.

Body Fields

  • vmNicUuids
    ListRequired

    The VM NIC UUIDs.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}